{"openapi":"3.0.0","info":{"title":"OVHcloud API specification","description":"Specification for OVHcloud API","version":"1.0","contact":{"name":"OVH","email":"api@ml.ovh.net"}},"servers":[{"url":"https://api.eu.ovhcloud.com/v2"}],"components":{"schemas":{"any":{"description":"Can be anything (text, int, bool, json, html, etc.)","example":"This is a content of any type !"},"common.ResourceStatusEnum":{"type":"string","description":"Current status of a resource","enum":["CREATING","CREATION_PLANNED","DELETING","ERROR","OUT_OF_SYNC","READY","SUSPENDED","UNKNOWN","UPDATING"]},"domain.Foa":{"type":"object","description":"A Form of Authorization (FOA) attached to a domain name task. They are created by OVHcloud when a trade or an outgoing transfer is requested and validated by the involved contacts via email.","properties":{"checksum":{"type":"string","description":"Computed hash of the current state of the FOA. Reflects the latest observed state.","readOnly":true},"currentState":{"allOf":[{"$ref":"#/components/schemas/domain.FoaCurrentState"}],"description":"Current state of the FOA","readOnly":true},"id":{"type":"string","description":"Unique identifier of the FOA","format":"uuid","readOnly":true},"resourceStatus":{"allOf":[{"$ref":"#/components/schemas/common.ResourceStatusEnum"}],"description":"Readiness of the FOA resource","readOnly":true}}},"domain.FoaCurrentState":{"type":"object","description":"Current state of a Form of Authorization (FOA) attached to a domain name task","properties":{"answeredAt":{"type":"string","description":"Date when the FOA was answered by the recipient. Null when the FOA has not been answered yet.","nullable":true,"format":"date-time","readOnly":true},"choice":{"allOf":[{"$ref":"#/components/schemas/domain.resource.FoaChoiceEnum"}],"description":"Recipient's decision on the FOA. Null when the FOA has not been answered yet.","nullable":true,"readOnly":true},"contact":{"type":"string","description":"Identifier of the contact the FOA has been sent to","readOnly":true},"contactEmail":{"type":"string","description":"Partially masked email address of the contact the FOA has been sent to","readOnly":true},"domain":{"type":"string","description":"Domain name this FOA is attached to","readOnly":true},"expiresAt":{"type":"string","description":"Date beyond which the FOA can no longer be answered","format":"date-time","readOnly":true},"sentAt":{"type":"string","description":"Date when the FOA was sent to the recipient","format":"date-time","readOnly":true},"token":{"type":"string","description":"Partially masked authorization token embedded in the FOA link","readOnly":true},"type":{"allOf":[{"$ref":"#/components/schemas/domain.resource.FoaTypeEnum"}],"description":"Type of FOA (trade or outgoing transfer)","readOnly":true}}},"domain.resource.FoaChoiceEnum":{"type":"string","description":"Owner's decision on a FOA (Form of Authorization). Empty when the FOA has not been answered yet.","enum":["ACCEPT","REJECT"]},"domain.resource.FoaTypeEnum":{"type":"string","description":"Authorized values for a FOA (Form of Authorization) type","enum":["OUTGOING_TRANSFER","TRADE"]},"duration":{"type":"string","description":"Duration (e.g., P1Y2M3DT4H6M9S)","example":"P1Y2M3DT4H6M9S"},"email":{"type":"string","description":"Email address (e.g., api@ml.ovh.net)","format":"email","example":"api@ml.ovh.net"},"internationalPhoneNumber":{"type":"string","description":"International phone number","format":"phone-number"},"ip":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipBlock":{"type":"string","description":"IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)","format":"ip-block","example":"192.0.2.0/24"},"ipInterface":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4":{"type":"string","description":"IPv4 address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4Block":{"type":"string","description":"IPv4 CIDR notation (e.g., 192.0.2.0/24)","format":"ipv4-block","example":"192.0.2.0/24"},"ipv6":{"type":"string","description":"IPv6 address (e.g., 2001:41d0:1:1994::1)","format":"ipv6","example":"2001:41d0:1:1994::1"},"ipv6Block":{"type":"string","description":"IPv6 CIDR notation (e.g., 2001:41d0::/128)","format":"ipv6-block","example":"2001:41d0::/128"},"macAddress":{"type":"string","description":"MAC address (e.g., 00:00:5e:00:53:01)","format":"mac-address","example":"00:00:5e:00:53:01"},"phoneNumber":{"type":"string","description":"Phone number","format":"phone-number"},"time":{"type":"string","description":"Time (e.g., 15:04:05)","format":"time","example":"15:04:05"}},"securitySchemes":{"oAuth2AuthCode":{"type":"oauth2","description":"Oauth2","x-client-id":"1bb9c7df371741c0","x-client-secret":"a5b4de870aca620d10fbf63cd18d205b","flows":{"authorizationCode":{"authorizationUrl":"https://auth.eu.ovhcloud.com/oauth2/authorize","tokenUrl":"https://auth.eu.ovhcloud.com/oauth2/token","scopes":{"account/all":"Manage your account","all":"Manage your whole account and all your services","services/all":"Manage your services lifecycle and billing"}}}}}},"paths":{"/domain/name/{domainName}/task/{taskId}/foa":{"get":{"operationId":"getAllDomainNameTaskFoas","summary":"List the FOAs (Form of Authorization) attached to a domain name task","description":"List the FOAs (Form of Authorization) attached to a domain name task. Trade operations may produce several FOAs (one per involved contact). Outgoing transfers produce a single FOA.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"header","name":"X-Pagination-Cursor","description":"Pagination cursor","schema":{"type":"string"}},{"in":"header","name":"X-Pagination-Size","description":"Pagination size","schema":{"type":"integer"}},{"in":"path","name":"domainName","description":"Domain name","required":true,"schema":{"type":"string"}},{"in":"path","name":"taskId","description":"Task ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/domain.Foa"}},"examples":{"List the FOAs attached to a trade task":{"value":[{"checksum":"4b9e9b9ddb80d5f9d6e304a95961ea2b","currentState":{"answeredAt":null,"choice":null,"contact":"12345678","contactEmail":"ow***@example.com","domain":"example.com","expiresAt":"2026-05-20T10:30:00Z","sentAt":"2026-04-20T10:30:00Z","token":"ABCD****WXYZ","type":"TRADE"},"id":"019efdb5-9787-78c8-b430-436ad998b42f","resourceStatus":"READY"},{"checksum":"2e7a88c3b7d9ed4b1a0f2d9c8a5b4321","currentState":{"answeredAt":"2026-04-21T09:12:00Z","choice":"ACCEPT","contact":"5f9ce5c1-8ac6-4aed-8907-98b961c9446e","contactEmail":"ad***@example.com","domain":"example.com","expiresAt":"2026-05-20T10:30:00Z","sentAt":"2026-04-20T10:30:00Z","token":"EFGH****UVWX","type":"TRADE"},"id":"019efdb5-b8f6-7963-b01d-86e7438bd8f6","resourceStatus":"READY"}],"summary":"Two FOAs have been sent: one still pending and one already accepted by the recipient"}}}}}},"x-developer-hub-navigation":[["Web Cloud","Domains","Transfers@@@10"]],"x-badges":[{"color":"blue","label":"Beta version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/domain/name/{domainName}/task/{taskId}/foa\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/domain/name/{domainName}/task/{taskId}/foa\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"domain:apiovh:name/task/foa/get","required":true}],"x-response-identifier":"id","x-expanded-response":"DomainFoa"}},"/domain/name/{domainName}/task/{taskId}/foa/{foaId}":{"get":{"operationId":"getDomainNameTaskFoa","summary":"Get a specific FOA (Form of Authorization) attached to a domain name task","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"domainName","description":"Domain name","required":true,"schema":{"type":"string"}},{"in":"path","name":"foaId","description":"Foa ID","required":true,"schema":{"type":"string","format":"uuid"}},{"in":"path","name":"taskId","description":"Task ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/domain.Foa"},"examples":{"Get a single FOA attached to a trade task":{"value":{"checksum":"4b9e9b9ddb80d5f9d6e304a95961ea2b","currentState":{"answeredAt":null,"choice":null,"contact":"12345678","contactEmail":"ow***@example.com","domain":"example.com","expiresAt":"2026-05-20T10:30:00Z","sentAt":"2026-04-20T10:30:00Z","token":"ABCD****WXYZ","type":"TRADE"},"id":"019efdb5-fe78-7cce-90f1-fcef0627b751","resourceStatus":"READY"},"summary":"Retrieve a pending Trade FOA by its identifier"}}}}}},"x-developer-hub-navigation":[["Web Cloud","Domains","Transfers@@@20"]],"x-badges":[{"color":"blue","label":"Beta version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/domain/name/{domainName}/task/{taskId}/foa/{foaId}\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/domain/name/{domainName}/task/{taskId}/foa/{foaId}\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"domain:apiovh:name/task/foa/get","required":true}],"x-response-identifier":"id"}},"/domain/name/{domainName}/task/{taskId}/foa/{foaId}/resend":{"post":{"operationId":"resendDomainNameTaskFoa","summary":"Resend the FOA (Form of Authorization) email to its recipient","description":"Resend the FOA (Form of Authorization) email to its recipient. Fails when the FOA has already been answered, when it is expired, or when the underlying task has already finished.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"domainName","description":"Domain name","required":true,"schema":{"type":"string"}},{"in":"path","name":"foaId","description":"Foa ID","required":true,"schema":{"type":"string","format":"uuid"}},{"in":"path","name":"taskId","description":"Task ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation"}},"x-developer-hub-navigation":[["Web Cloud","Domains","Transfers@@@30"]],"x-badges":[{"color":"blue","label":"Beta version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.post(\"/v2/domain/name/{domainName}/task/{taskId}/foa/{foaId}/resend\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->post(\"/v2/domain/name/{domainName}/task/{taskId}/foa/{foaId}/resend\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"domain:apiovh:name/task/foa/resend","required":true}]}}}}
